<?php
# **********************************************************************************************
# bw_phpLivePacker
#
# Copyright 2013 Christian Bartl (phplivepacker.bartlweb.net)
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# This notice must appear in all copies of the script.
# **********************************************************************************************

require_once(PATH_typo3.'interfaces/interface.backend_cacheActionsHook.php');
require_once(t3lib_extMgm::extPath('bw_phplivepacker').'class.tx_bwphplivepacker.php');

class tx_bwphplivepacker_cachemenu implements backend_cacheActionsHook {
	public function manipulateCacheActions(&$a_cacheActions, &$a_optionValues) {
		if(($GLOBALS['BE_USER']->isAdmin() || $GLOBALS['BE_USER']->getTSConfigVal('options.clearCache.phplivepacker')) && $GLOBALS['TYPO3_CONF_VARS']['EXT']['extCache']) {
			$title = $GLOBALS['LANG']->sL('LLL:EXT:bw_phplivepacker/locallang.xml:clearCacheMenu', true);
			
			$a_cacheActions[] = array(
				'id'    => 'bw_phplivepacker',
				'title' => $title,
				'href' => 'ajax.php?ajaxID=tx_bwphplivepacker::clearCache',
				'icon'  => '<img src="' . t3lib_extMgm::extRelPath('bw_phplivepacker').'res/' . 'be_icon.png" title="' . $title . '" alt="' . $title . '" />',
			);
			$a_optionValues[] = 'clearCachePhplivepacker';
		}
	}
}

if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/bw_phplivepacker/class.tx_bwphplivepacker_cachemenu.php'])	{
	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/bw_phplivepacker/class.tx_bwphplivepacker_cachemenu.php']);
}
?>